function ajax_result (data) {
    if (data.e) {
        fly_p('2', data.e);
        return false;
    }
    if (data.s) {
        fly_p('1', data.s);
        return false;
    }
    if (data.i) {
        fly_p('3', data.i);
        return false;
    }
    if (data.q) {
        fly_p('3', data.i);
        return false;
    }
    /*if (data.d) {
        fly_p('3', base64_decode(data.d));
        return false;
    }*/
}

function fly_p (name, text) {
    if (text == 'ok') text = '';
    if (name == "1") {
        swal({ title: 'Успех', text: text, type: 'success' }).then(function () { location.reload() });
    }
    else if (name == "2") {
        swal({ title: 'Ошибка', text: text, type: 'error' })
    }
    else if (name == "3") {
        swal({ title: '', text: text, type: 'info' })
    }
    else if (name == "4") {
        swal({ title: '', text: text, type: 'question' })
    }
}